Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## java.sql
Class Date

Method Summary
`Date` | `minus(int days)` Subtract a number of days from this date and returns the new date
`Date` | `next()` Increment a java
`Date` | `plus(int days)` Add a number of days to this date and returns the new date
`Date` | `previous()` Decrement a java

Method Detail

### minus

    public Date minus(int days)

  Subtract a number of days from this date and returns the new date.

Parameters:
  `days` - the number of days to subtract.
Returns:
  the new date

### next

    public Date next()

  Increment a java.sql.Date by one day.

Returns:
  the next days date

### plus

    public Date plus(int days)

  Add a number of days to this date and returns the new date.

Parameters:
  `days` - the number of days to increase.
Returns:
  the new date

### previous

    public Date previous()

  Decrement a java.sql.Date by one day.

Returns:
  the previous days date

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK